Bug 855848 - Control-center's main screen doesn't provide names of module icons for a11y
Control-center's main screen doesn't provide names of module icons for a11y
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gtk3 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: beta
: ---
Assigned To: Benjamin Otte
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2012-09-10 07:50 EDT by Vitezslav Humpa
Modified: 2013-12-12 13:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-12 13:12:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vitezslav Humpa 2012-09-10 07:50:27 EDT
Description of problem:
The new gnome-control-center doesn't export names of its modules into the at-spi bus. The UI a11y tree contains three categories (Personal, Hardware and System) with corresponding module icons present, however these icon nodes lack the 'name' set to the module name seen on screen. This means that for example an impaired person using accessibility features would have problems opening modules from the main screen using their names (with voice recognition or otherwise).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open the control-center and browse its at-spi tree using sniff(dogtail) or accerciser
2. Look for nodes that would provide the names of the modules on screen.
Actual results:
You'll be able to find the 'icon' objects, which however will be unnamed. 

Expected results:
The 'icon' nodes are named according to modules they represent.

Additional info:
These 'icons' are likely custom widgets as usual gtk widgets do have a11y support well integrated.
Comment 1 Bastien Nocera 2012-10-15 11:32:29 EDT
gtk-demo has the same problem, so reassigning there.
Comment 5 Matthias Clasen 2013-12-12 12:58:36 EST
we don't have a solution for accessibility of cell renderers upstream. this will not be solved in time for 7.0
Comment 6 RHEL Product and Program Management 2013-12-12 13:12:00 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.